Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77333 - /proc memory leaks
Summary: /proc memory leaks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-05 07:29 UTC by Nakai
Modified: 2013-03-06 05:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-14 20:59:29 UTC
Target Upstream Version:


Attachments (Terms of Use)
linux-2.4.9-e.8-generic.c.patch (deleted)
2002-11-05 07:30 UTC, Nakai
no flags Details | Diff
This is the patch that was checked into the errata release (deleted)
2002-12-17 15:46 UTC, Steve Dickson
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:319 normal SHIPPED_LIVE Updated kernel fixes kswapd performance problem and includes updated drivers 2002-10-08 04:00:00 UTC

Description Nakai 2002-11-05 07:29:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
/proc memory leaks when it fails to make tunnel devices.
It annoys IPv6 stress tests.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Make lots of tunnel devices.
2. Available memory reduces.
3.
	

Additional info:

Comment 1 Nakai 2002-11-05 07:30:20 UTC
Created attachment 83684 [details]
linux-2.4.9-e.8-generic.c.patch

Comment 2 Pete Zaitcev 2002-11-14 20:48:18 UTC
The patch looks bad, just about evey segment is wrong.
First segment frees what it has no business the free.
All others forget to free what proc_create allocated.


Comment 3 Steve Dickson 2002-12-17 15:46:31 UTC
Created attachment 88782 [details]
This is the patch that was checked into the errata release

Comment 4 Nakai 2003-01-15 10:20:04 UTC
Thee is no 2.1AS errata kernel which has this fix.

Comment 5 Nakai 2003-01-15 10:27:28 UTC
s/Thee/There/

Comment 6 John Flanagan 2003-02-14 20:59:29 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2002-319.html



Note You need to log in before you can comment on or make changes to this bug.